pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/45357: Prosody won't start

>Number:         45357
>Category:       pkg
>Synopsis:       Prosody won't start
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Mon Sep 12 08:20:00 +0000 2011
>Originator:     Xavier Chotard
>Release:        NetBSD-5.1
NetBSD 5.1 NetBSD 5.1 (GENERIC) #0: Sun Aug 28 12:08:19 UTC 2011  
root@deployi386:/usr/obj/sys/arch/i386/compile/GENERIC i386
Prosody (XMPP Daemon) is not able to start because it cannot find his libraries.

# prosodyctl start

Prosody was unable to find util.encodings
This package can be obtained in the following ways:

        Windows:      Make sure you have encodings.dll from the Prosody 
distribution in util/
        GNU/Linux:    Run './configure' and 'make' in the Prosody source 
directory to build util/

util.encodings is required for Prosody to run, so we will now exit.
More help can be found on our website, at
1. Build Prosody from pkgsrc and install
2. Run with "prosodyctl start"
Temporary fix : run prosodyctl with LD_LIBRARY_PATH prefix.
# LD_LIBRARY_PATH="/usr/pkg/lib" prosodyctl start

Home | Main Index | Thread Index | Old Index